org.eclipse.gef.rulers

## Class RulerChangeListener.Stub

- java.lang.Object
- - org.eclipse.gef.rulers.RulerChangeListener.Stub

All Implemented Interfaces:
  RulerChangeListener

Enclosing interface:
  RulerChangeListener

    public static class RulerChangeListener.Stub
    extends java.lang.Object
    implements RulerChangeListener

Stub for the RulerChangeListener interface. Clients not intending to implement all the methods in that interface can extend this class.

Since:
  3.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.rulers.RulerChangeListener

`RulerChangeListener.Stub`

### Constructor Summary

Constructors
Constructor and Description
`RulerChangeListener.Stub()`

### Method Summary

Methods
`void` `notifyGuideMoved(java.lang.Object guide)` Invoked when a guide is moved.
`void` `notifyGuideReparented(java.lang.Object guide)` Invoked when a guide is added to or removed from a ruler.
`void` `notifyPartAttachmentChanged(java.lang.Object part, java.lang.Object guide)` Invoked when a graphical component is attached to a guide.
`void` `notifyUnitsChanged(int newUnit)` Invoked when the ruler's unit of measurement is changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RulerChangeListener.Stub

    public RulerChangeListener.Stub()

### Method Detail

#### notifyUnitsChanged

    public void notifyUnitsChanged(int newUnit)

Description copied from interface: `RulerChangeListener`
Invoked when the ruler's unit of measurement is changed.

Specified by:
  `notifyUnitsChanged` in interface `RulerChangeListener`
Parameters:
  `newUnit` - The new unit of measurement (RulerProvider.UNIT_INCES, UNIT_CENTIMETERS, or UNIT_PIXELS)
See Also:
  `RulerChangeListener.notifyUnitsChanged(int)`

#### notifyGuideReparented

    public void notifyGuideReparented(java.lang.Object guide)

Description copied from interface: `RulerChangeListener`
Invoked when a guide is added to or removed from a ruler.

Specified by:
  `notifyGuideReparented` in interface `RulerChangeListener`
Parameters:
  `guide` - The guide that was added or removed
See Also:
  `RulerChangeListener.notifyGuideReparented(Object)`

#### notifyGuideMoved

    public void notifyGuideMoved(java.lang.Object guide)

Description copied from interface: `RulerChangeListener`
Invoked when a guide is moved.

Specified by:
  `notifyGuideMoved` in interface `RulerChangeListener`
Parameters:
  `guide` - The guide that was moved
See Also:
  `RulerChangeListener.notifyGuideMoved(Object)`

#### notifyPartAttachmentChanged

    public void notifyPartAttachmentChanged(java.lang.Object part,
                                   java.lang.Object guide)

Description copied from interface: `RulerChangeListener`
Invoked when a graphical component is attached to a guide.

Specified by:
  `notifyPartAttachmentChanged` in interface `RulerChangeListener`
Parameters:
  `part` - The model representation of the graphical compoment that was attached
  `guide` - The guide that the part was attached to
See Also:
  `RulerChangeListener.notifyPartAttachmentChanged(Object, Object)`